import time
Improve automated tests
	- defaults in journals
	- cancelled journals
	- exercise checksum in journals
	- journals: get charts (AJAX)
	- journals: update transaction-enabled entry
	- threelevel: test session defaults
	- nonuniques with compound restrictions
	- try to get an ID different from org/batch <- and detect problem in controllers
	- try to change mother / grandmother
	- batches: close with journals, is_batch_even
	- journals: costcenter > 1
	- charts_accounts: change aggregate w/journals
	- Verify version bumping
	- active_period: batch inside period (post)
	- charts: copy from + different mask, copyfro
	- active_period: lite: try to add new and edit -1
	- try to update stdjournal/costcenter id=1
	- parentXchild: fetch lite
	- sys_qlogs: fetch as admin about a specific user, fetch empty period
	- test ajax?

import MySQLdb
import pickle

ctb_encoding = "iso8859-1"
ctb = MySQLdb.connect(host="localhost", user="root", passwd="", db="ctb")

luca_encoding = "utf-8"
luca = MySQLdb.connect(host="localhost", user="luca", passwd="luca514", db="luca")
# luca.query("""set table_type=\"InnoDB\"""")

def recode(s):
	u = s.decode(ctb_encoding)
	ss = u.encode(luca_encoding)
	return ss

def zap(s):
	q = luca.cursor()
	q.execute("DELETE FROM %s" % s)
	q.close()

zap("journal")
zap("batches")
zap("accounts")
zap("orgs")
zap("charts")

q = luca.cursor()
q.execute("""insert into charts (description, mask, version, clean) values ('EPx', '9.9.9.99.9999', 1, 1);""")
q.close()

q = luca.cursor()
q.execute("""insert into orgs (chart_id, name, active_d1, active_d2, remarks) values (1, 'EPx', '2006-11-01', '2006-11-30', 'EPx')""")
q.close()

c_accounts = ctb.cursor()
c_batches = ctb.cursor()
c_journals = ctb.cursor()

c_accounts.execute("""select code, description, smalldesc, class, parent_account, aggregate, mobile, inactive from accounts where plan = 1""")
c_batches.execute("""select batch_nr, date1, date2, description, total, closed, adjust from batches where org = 1""")
c_journals.execute("""select journal_nr, day, description, value, batch_nr, account, hash from journal where org = 1""")

accounts = c_accounts.fetchall()
batches = c_batches.fetchall()
journals = c_journals.fetchall()

c_accounts.close()
c_batches.close()
c_journals.close()

batch_id = {}
for batch in batches:
	q = luca.cursor()
	b_description = recode(batch[3])
	q.execute("""insert into batches (org_id, date1, date2, description, total, closed, adjust) 
			values (1,%s,%s,%s,%s,%s,%s)""", (batch[1], batch[2], b_description, int(round(batch[4]*100)), batch[5], batch[6]))
	q.close()
	q = luca.cursor()
	q.execute("""select max(id) from batches""")
	batch_id[batch[0]] = q.fetchone()[0]
	q.close()

del batch
del batches

account_id = {}
for account in accounts:
	q = luca.cursor()
	a_description = recode(account[1])
	a_smalldesc = recode(account[2])
	q.execute("""insert into accounts (chart_id, xclass_id, stdjournal_id, code, parent, description, smalldesc, aggregate, mobile, inactive) values (1,%s,1,%s,%s,%s,%s,%s,%s,%s)""", (account[3], account[0], account[4], a_description, a_smalldesc, account[5], account[6], account[7]))
	q.close()
	q = luca.cursor()
	q.execute("""select max(id) from accounts""")
	account_id[account[0]] = q.fetchone()[0]
	q.close()

del account
del accounts

for journal in journals:
	q = luca.cursor()
	j_batch = batch_id[journal[4]]
	j_account = account_id[journal[5]]
	j_description = recode(journal[2])
	q.execute("""insert into journal (org_id, batch_id, account_id, stdjournal_id, costcenter_id, day, description, value, hash) values (1,%s,%s,1,1,%s,%s,%s,%s,%s)""", (j_batch, j_account, journal[1], j_description, int(round(journal[3]*100)), journal[6]))
	q.close()

luca.commit()
luca.close()
