// the first control must be the ID, which is hidden
var controls = ["id", "description", "smalldesc", "mobile", "inactive"];
var inplace = ["id", "description", "smalldesc"];
var comm_error = "Could not communicate from server. Try again in a few moments.";
var new_row_legend = "New cost center";
var edit_legend = "Editing cost center ";
var remove_dialog = "Do you really want to delete the cost center?";
var fetch_remote_error = "Could not get cost center from server";

function ajax_setup_extend()
{
	// extends tables' ajax_setup()
	streamlined_add = true;
}

function ajax_mobile_gotdata(rres)
{
	var mobmsg = "off";
	ajax_pending = false;

	if (rres.err != "") {
		alert(fetch_remote_error);
		return;
	}

	if (rres.mobile != 0) {
		mobmsg = "on"; 
	}

	handle_version(-1, 1);

	setElementClass("mobileF"+parseInt(rres.id), mobmsg);
}

function ajax_mobile(id)
{
	if (ajax_pending) {
		return;
	}

	var jkeys = ["id"];
	var jvalues = [id];
	var addr = "mobile?" + queryString(jkeys, jvalues);

	var ajax = loadJSONDoc(addr);
	ajax.addCallbacks(ajax_mobile_gotdata, ajax_error);

	ajax_pending = true;
}

function ajax_inactive_gotdata(rres)
{
	var mobmsg = "off";
	ajax_pending = false;

	if (rres.err != "") {
		alert(fetch_remote_error);
		return;
	}

	if (rres.inactive != 0) {
		mobmsg = "on";
	}

	handle_version(-1, 1);

	setElementClass("inactiveF"+parseInt(rres.id), mobmsg);
}

function ajax_inactive(id)
{
	if (ajax_pending) {
		return;
	}

	var jkeys = ["id"];
	var jvalues = [id];
	var addr = "inactive?" + queryString(jkeys, jvalues);

	var ajax = loadJSONDoc(addr);
	ajax.addCallbacks(ajax_inactive_gotdata, ajax_error);

	ajax_pending = true;
}


