function ajax_collapse(id, code)
{
	if (hasElementClass(id, "collapsed")) {
		collapse_children(id, 0);
	} else {
		collapse_children(id, 1);
	}
}

function ajax_uncollapse_all()
{
	var a = getElementsByTagAndClassName("tr", "invisible", "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		removeElementClass(el, "invisible");
	}
	a = getElementsByTagAndClassName("tr", "collapsed", "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		removeElementClass(el, "collapsed");
	}
}

function collapse_children(el, action)
{
	if (action) {
		addElementClass(el, "collapsed");
	} else {
		removeElementClass(el, "collapsed");
	}

	// children accounts belong to a class that is the encoded parent's code
	// e.g. account 1.1.1 parent 1.1 belongs to class par1_1

	var my_code = getNodeAttribute(el, "code_class");
	var a = getElementsByTagAndClassName("tr", my_code, "tabledata"); 

	for(var i = 0, el; el = a[i]; ++i) {
		var is_leaf = parseInt(getNodeAttribute(el, "leaf"));
		if (action) {
			addElementClass(el, "invisible");
			if (! is_leaf) {
				collapse_children(el, 1);
			}
		} else {
			removeElementClass(el, "invisible");
		}
	}
}

