<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <?python from luca.mylib import dtoc
?>
  <head>
    <title>Organizations - Active periods</title>
    <SCRIPT SRC='/static/javascript/active_period.js' TYPE='text/javascript' defer='defer'/>
    <SCRIPT SRC='/static/javascript/tables.js' TYPE='text/javascript' defer='defer'/>
  </head>
  <body onLoad='ajax_setup()' onsubmit='return false'>
    <h3>Organizations - Active periods</h3>
    <div class='hidden' id='formdiv'>
      <form onsubmit='return ajax_submit()' name='f' method='get'>
        <fieldset>
          <legend id='legend'/>
          <div>
            <div id='waiting' class='hidden'>
              <img src='/static/images/waiting.gif'/>
            </div>
            <div id='waitingpad' class='shown'/>
            <div id='errmsg'/>
            <div id='infomsg'/>
            <div class='clearer'/>
          </div>
          <table>
            <tr>
              <td>Initial date:</td>
              <td>
                <input size='12' type='text' name='active_d1' value='' maxlength='12'/>
              </td>
            </tr>
            <tr>
              <td>Final date:</td>
              <td>
                <input size='12' type='text' name='active_d2' value='' maxlength='12'/>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value=''/>
          <input type='hidden' name='table_version' value='${table_version}'/>
          <button type='button' name='bsubmit' onClick='ajax_commit()'>Submit</button>
          <button type='button' name='bcancel' onClick='ajax_cancel()'>Cancel</button>
        </fieldset>
      </form>
    </div>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Activity initial</th>
            <th>Activity final</th>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr class='newrow_invisible' id='newrow_invisible'>
            <td>
              <span id='idFNEW'/>
            </td>
            <td>
              <span id='nameFNEW'/>
            </td>
            <td>
              <span id='active_d1FNEW'/>
            </td>
            <td>
              <span id='active_d2FNEW'/>
            </td>
            <td>
              <a href='javascript:ajax_edit(FNEWID)' class='edit'>Edit</a>
            </td>
          </tr>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}" id="${'tr'+str(row.id)}">
            <td>
              <span id="${'idF'+str(row.id)}" py:content='row.id'/>
            </td>
            <td>
              <span id="${'nameF'+str(row.id)}" py:content='row.name'/>
            </td>
            <td>
              <span id="${'active_d1F'+str(row.id)}" py:content='dtoc(row.active_d1)'/>
            </td>
            <td>
              <span id="${'active_d2F'+str(row.id)}" py:content='dtoc(row.active_d2)'/>
            </td>
            <td>
              <a href='javascript:ajax_edit(${row.id})' class='edit'>Edit</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div/>
  </body>
</html>
