<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <?python from luca.mylib import dtoc
?>
  <head>
    <title>Organizations - Active periods</title>
  </head>
  <body>
    <h3>Organizations - Active periods</h3>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Activity initial</th>
            <th>Activity final</th>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}" id="${'tr'+str(row.id)}">
            <td>
              <span id="${'idF'+str(row.id)}" py:content='row.id'/>
            </td>
            <td>
              <span id="${'nameF'+str(row.id)}" py:content='row.name'/>
            </td>
            <td>
              <span id="${'active_d1F'+str(row.id)}" py:content='dtoc(row.active_d1)'/>
            </td>
            <td>
              <span id="${'active_d2F'+str(row.id)}" py:content='dtoc(row.active_d2)'/>
            </td>
            <td>
              <a href='lite_edit?id=${row.id}' class='edit'>Edit</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div/>
  </body>
</html>
