<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Balance closing</title>
  </head>
  <body>
    <h3>Balance closing</h3>
    <div class='shown' id='formdiv'>
      <form name='f' method='get'>
        <fieldset>
          <legend id='legend'>Balance closing options</legend>
          <table>
            <tr>
              <td>Organization</td>
              <td>
                <select name='org' value='0'>
                  <option selected="${x['id'] == org and '1' or None}" py:for='x in orgs' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Period</td>
              <td>
                <input maxlength='12' type='text' name='date1' value='${date1}' size='12'/>
		to 
		<input maxlength='12' type='text' name='date2' value='${date2}' size='12'/>
              </td>
            </tr>
          </table>
          <input type='hidden' name='submitted' value='${submitted}'/>
          <button type='submit' name='submit' py:if='submitted == 1'>Prepare to close balance</button>
          <button type='submit' name='submit' py:if='submitted == 2'>C L O S E  B A L A N C E</button>
        </fieldset>
      </form>
    </div>
    <div py:if='submitted == 1'>
      <p>
	ADVICES
	</p>
      <p>
	a)All revenue and expenses will be transferred via closing entries to the Equity account that
	as an "[clo]" symbol in its description.<br/>
	b) Batches with "[clo]" description will be checked in advance to verify if the
	balance closing does not overlap with a previous closing. 
	</p>
    </div>
    <div py:if='submitted >= 2'>
      <pre py:content='msg'>
      </pre>
    </div>
  </body>
</html>
