<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Journal batches: edit form</title>
  </head>
  <body>
    <h3 py:content='Heading'>Journal batches - edit form</h3>
    <div class='shown' id='formdiv'>
      <form action='lite_commit' name='f' method='post'>
        <fieldset>
          <div id='errmsg' py:content='err'>Error Message</div>
          <table>
            <tr>
              <td>Description</td>
              <td>
                <input maxlength='60' type='text' name='description' value='${description}' size='60'/>
              </td>
            </tr>
            <tr>
              <td>Initial date</td>
              <td>
                <input maxlength='12' type='text' name='date1' value='${date1}' size='12'/>
              </td>
            </tr>
            <tr>
              <td>Final date</td>
              <td>
                <input maxlength='12' type='text' name='date2' value='${date2}' size='12'/>
              </td>
            </tr>
            <tr>
              <td>Checksum
		</td>
              <td>
                <input maxlength='15' type='text' name='total' value='${total}' size='15'/>
		zero = no checksum; do not any the decimal point or comma
		</td>
            </tr>
            <tr>
              <td>Status</td>
              <td>
                <select name='closed' value='0'>
                  <option selected="${item['id'] == closed and 'X' or None}" py:for='item in closedlist' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Type</td>
              <td>
                <select name='adjust' value='0'>
                  <option py:for='item in adjustlist' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value='${id}'/>
          <input type='hidden' name='org' value='${org}'/>
          <button type='submit'>Submit</button>
        </fieldset>
      </form>
    </div>
    <a href='lite?mother=${org}' class='edit'>Back to batches list</a>
    <div/>
  </body>
</html>
