<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Cost centers</title>
    <SCRIPT SRC='/static/javascript/costcenters.js' TYPE='text/javascript' defer='defer'/>
    <SCRIPT SRC='/static/javascript/tables.js' TYPE='text/javascript' defer='defer'/>
  </head>
  <body onLoad='ajax_setup()'>
    <h3>Cost centers</h3>
    <div class='hidden' id='formdiv'>
      <form onsubmit='return ajax_submit()' name='f' method='get'>
        <fieldset>
          <legend id='legend'/>
          <div>
            <div id='waiting' class='hidden'>
              <img src='/static/images/waiting.gif'/>
            </div>
            <div id='waitingpad' class='shown'/>
            <div id='errmsg'/>
            <div id='infomsg'/>
            <div class='clearer'/>
          </div>
          <table>
            <tr>
              <td>Description</td>
              <td>
                <input maxlength='60' type='text' name='description' value='' size='60'/>
              </td>
            </tr>
            <tr>
              <td>Short description</td>
              <td>
                <input maxlength='20' type='text' name='smalldesc' value='' size='20'/>
              </td>
            </tr>
            <tr>
              <td>Send to mobile clients</td>
              <td>
                <select name='mobile' value='0'>
                  <option value='0'>No</option>
                  <option value='1'>Yes</option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Inactive</td>
              <td>
                <select name='inactive' value='0'>
                  <option value='0'>No</option>
                  <option value='1'>Yes</option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value=''/>
          <input type='hidden' name='table_version' value='${table_version}'/>
          <button type='button' name='bsubmit' onClick='ajax_commit()'>Submit</button>
          <button type='button' name='bcancel' onClick='ajax_cancel()'>Cancel</button>
          <button type='button' name='bremove' onClick='ajax_remove()'>Remove</button>
        </fieldset>
      </form>
    </div>
    <div id='addrow' class='shown'>
      <a href='javascript:ajax_new()'>Add new cost center</a>
    </div>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>ID</th>
            <th>Description</th>
            <th>Short description</th>
            <th>Mobile</th>
            <th>Inactive</th>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr class='newrow_invisible' id='newrow_invisible'>
            <td>
              <span id='idFNEW'/>
            </td>
            <td>
              <span id='descriptionFNEW'/>
            </td>
            <td>
              <span id='smalldescFNEW'/>
            </td>
            <td/>
            <td/>
            <td>
              <a href='javascript:ajax_edit(FNEWID)' class='edit'>Edit</a>
            </td>
          </tr>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}" id="${'tr'+str(row.id)}">
            <td>
              <span id="${'idF'+str(row.id)}" py:content='row.id'>ID</span>
            </td>
            <td>
              <span id="${'descriptionF'+str(row.id)}" py:content='row.description'>Description</span>
            </td>
            <td>
              <span id="${'smalldescF'+str(row.id)}" py:content='row.smalldesc'>Mobile description</span>
            </td>
            <td>
              <a href='javascript:ajax_mobile(${row.id})'>
                <span id="${'mobileF'+str(row.id)}" class="${row.mobile and 'on' or 'off'}">Mobile</span>
              </a>
            </td>
            <td>
              <a href='javascript:ajax_inactive(${row.id})'>
                <span id="${'inactiveF'+str(row.id)}" class="${row.inactive and 'on' or 'off'}">Inactive</span>
              </a>
            </td>
            <td>
              <a href='javascript:ajax_edit(${row.id})' class='edit'>Edit</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div/>
  </body>
</html>
