<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Journal entries: edit form</title>
  </head>
  <body>
    <h3 py:content='Heading'>Journal entries - edit form</h3>
    <div class='shown' id='formdiv'>
      <form action='lite_commit' name='f' method='post'>
        <fieldset>
          <div id='errmsg' py:content='err'>Error Message</div>
          <table>
            <tr>
              <td>DB account</td>
              <td>
                <select name='accountDB' id='accountDB'>
                  <option selected="${item['id'] == accountDB and '1' or None}" py:for='item in accounts' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>CR account</td>
              <td>
                <select name='accountCR' id='accountCR'>
                  <option selected="${item['id'] == accountCR and '1' or None}" py:for='item in accounts' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Std. journal</td>
              <td>
                <input maxlength='6' type='text' name='stdjournal' value='${stdjournal}' size='6'/>
		(1 = none)
		</td>
            </tr>
            <tr>
              <td>Cost center</td>
              <td>
                <input maxlength='6' type='text' name='costcenter' value='${costcenter}' size='6'/>
		(1 = none)
		</td>
            </tr>
            <tr>
              <td>Date</td>
              <td>
                <input maxlength='12' type='text' name='day' value='${day}' size='12'/>
              </td>
            </tr>
            <tr>
              <td>Description</td>
              <td>
                <input maxlength='60' type='text' name='description' value='${description}' size='60'/>
              </td>
            </tr>
            <tr>
              <td>Value</td>
              <td>
                <input maxlength='20' type='text' name='value' value='${value}' size='20'/>
		(without decimal point/comma)
		</td>
            </tr>
            <tr>
              <td>Status</td>
              <td>
                <select name='cancelled' value='0'>
                  <option selected="${item['id'] == cancelled and 'X' or None}" py:for='item in cancelledlist' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value='${id}'/>
          <input type='hidden' name='org' value='${org}'/>
          <input type='hidden' name='batch' value='${batch}'/>
          <button type='submit' name='bsubmit'>Submit</button>
        </fieldset>
      </form>
    </div>
    <a href='lite?grandmother=${org}&amp;mother=${batch}' class='edit'>Back to journal entries list</a>
    <div/>
  </body>
</html>
