<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>System log</title>
  </head>
  <body>
    <h3>System log</h3>
    <div class='shown' id='formdiv'>
      <form name='f' method='get'>
        <fieldset>
          <legend id='legend'>Log query options</legend>
          <table>
            <tr>
              <td>Period</td>
              <td>
                <select name='period1' value='0'>
                  <option selected="${x['selected']}" py:for='x in periods1' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
		
		to 

		<select name='period2' value='0'><option selected="${x['selected']}" py:for='x in periods2' value="${x['id']}"><span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>User</td>
              <td>
                <select name='user' value='0'>
                  <option selected="${x['selected']}" py:for='x in users' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Module</td>
              <td>
                <select name='module' value='0'>
                  <option selected="${x['selected']}" py:for='x in modules' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Function</td>
              <td>
                <select name='function' value='0'>
                  <option selected="${x['selected']}" py:for='x in functions' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Success/Fail</td>
              <td>
                <select name='failedop' value='0'>
                  <option selected="${x['selected']}" py:for='x in failedops' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='page' value='1'/>
          <button type='submit' name='submit'>Run query</button>
        </fieldset>
      </form>
    </div>
    <div>
    </div>
    <div py:if='page' id='tabledata' class='tabledata'>
      <table>
        <thead>
          <tr>
            <th>Page <span py:content='page'/> of <span py:content='totalpages'/>
            </th>
          </tr>
          <tr>
            <th>Date/time</th>
            <th>User</th>
            <th>Module</th>
            <th>Function</th>
            <th>Description</th>
            <th>Error (if failed)</th>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}">
            <td>
              <span py:content='row.tmstamp'/>
            </td>
            <td>
              <span py:content='row.user.user_name'/>
            </td>
            <td>
              <span py:content='row.module'/>
            </td>
            <td>
              <span py:content='row.function'/>
            </td>
            <td>
              <span py:content='row.description'/>
            </td>
            <td>
              <span py:content='row.err'/>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div py:if='page'>
      <span py:if='prevpage_url'>
        <a href="${tg.url('.', **prevpage_url)}" class='edit'>&lt;&lt;&lt; Page ${prevpage}</a>
      </span>
      <span py:if='nextpage_url'>
        <a href="${tg.url('.', **nextpage_url)}" class='edit'>Page ${nextpage} >>></a>
      </span>
    </div>
    <div/>
  </body>
</html>
