#!/usr/bin/env python2.5
import os
import sys

tdb = "mysql"
if len(sys.argv) > 1:
	tdb = sys.argv[1].lower()
	print "Specified database: %s" % tdb
appcfg = "app.cfg"
if len(sys.argv) > 2:
	appcfg = sys.argv[2]
	print "Specific appcfg: %s" % appcfg

print "cleaning database"

if tdb == "mysql":
	os.system("cat mysql_create_database.sql | mysql -u root --password=''")
elif tdb == "postgres" or tdb == "postgresql":
	os.system('sudo su - postgres  -c "createuser -P -S -d -R luca"')
	print "Creating Postgres database - Type sudo password if it is asked"
	os.system('sudo su - postgres  -c "dropdb luca"')
	os.system('sudo su - postgres  -c "createdb luca"')
	os.system('sudo su - postgres -c "echo \'ALTER DATABASE luca OWNER to luca;\' | psql "')
elif tdb == "sqlite":
	try:
		os.unlink("luca.sqlite")
	except OSError:
		pass

print "init tg"
import pkg_resources
pkg_resources.require("TurboGears")

import turbogears
import cherrypy
cherrypy.lowercase_api = True

from os.path import *
import sys

# first look on the command line for a desired config file,
# if it's not on the command line, then
# look for setup.py in this directory. If it's not there, this script is
# probably installed
turbogears.update_config(configfile=appcfg, modulename="luca.config")
turbogears.update_config(configfile="test.cfg", modulename="luca.config")

cherrypy.config.update({ 'session_filter.on': True })
cherrypy.config.update({ 'log_debug_info_filter.on': False })

from luca.controllers import Root
from luca import model

# turbogears.identity.create_default_provider()

model.touch()  # inits tables
model._testing_ = True

from luca.tests.test_controllers import *

cherrypy.root = Root()

print "call test_controllers"
test_main(cherrypy.root)

turbogears.startup.stopTurboGears() 
