<? require "../lib.php"?>
<? aheader("Luca Development Diary - from 0.2 to 0.4"); ?>

<p>
2006/09/25

<p>
Ok, I've been busy and quite tired for personal reasons these days, 
so I have been working on Luca in homeopathic doses, and did not have
time spare to write this development diary. Anyway, byte after byte, 
0.4 is ready be released, so now I can write the 'diary'.

<p>
The biggest addition is the accounts table, that is, accounts of the
chart. It is the first parent/child table, the chart is the parent
and the accounts are the children.
Most of the parent/child behaviour has been implemented in a generic
class, twolevel_table, that is a subclass of simple_table like all the
other table manipulation controllers. 

<p>The accounts table manipulation provided an incidental test case
for the chart checking routines that I had coded some time ago but 
had no data and no client to run and test them. They performed almost
perfectly from the first call, which shows how good Python is as a
programming language, that is not even compiled and still helps to 
keep the error count low.

<p>
I expect that twolevel_table will
help to implement other parent/child controllers like batches and
journals.  The worst thing that can happen is those other controllers
show themselves to be too different so the generic two-level class
is rendered unusable. But I have some faith left in OO :)

<p>
I have also made a small refactoring in log/permission function.
The "VIP" permissions are now attributes of the controller object,
so they don't need to be explicitely passed in permission request
call (the controller object itself was already being passed, so 
it is easy to access a controller's attribute from inside the
permission routine).

<p>
Another change in log/permission is that grant.done() call can receive
a string that will be concatenated to the log text. This was necessary
because some data e.g. the ID of a new row is not known before
it has been added to the table, and it is important to have the row
IDs as some other human-readable identifier of rows in log. (My
experience with ERP systems tell me that 99% of log queries search
for culprits of something done wrong e.g. unwanted removal of a row,
so it is important to give tools so the culprit is actually found.
Otherwise, the software developer is blamed instead...)

<p>All existing controllers are now using log+ACL, so every operation 
is logged and tested against user permissions. The ACL system had a
couple bugs that showed up, but in general it worked very well for
a previously untested piece of software.

<p>
Almost forgot that; I have added another controller, the "active period"
for organizations. Active period is the date interval that can receive
new batches and journals. It is meant to avoid adding journals with
grossly wrong dates e.g. 1970/01/01 (another common defect of old ERP
systems).

<p>
For the active period controller, I had to add a date parser. For now it
only handles ISO dates (aaaa/mm/dd or aa/mm/dd). In some future release
I plan to add locale-sensitive date checking, or perhaps a global system
parameter with the date format. 

<p>
I don't like depending on system locale settings, since a  buggy package
update or a junior administrator's mistake can make the system stop working.
Putting the date format information inside the system makes me feel more
comfortable. 

<p>
How granular should be locale settings like decimal point or date mask ?
We have some options: user table, organization table, or a single system-wide
configuration. Probably it belongs to the user table, since users can be 
spread around the globe. Something to fix in 0.5 release. 

<p>
An error that I caught in last tests for 0.5 release showed that I need
a stronger test framework as well as a refactoring in request/return
messages in all controllers. The previously tested chart of accounts 
is failing when a row is edited and some mistake is detected (is the
edition has no errors, the new data is committed and everything is fine).

<p>
Up to now, Luca has been both a way to learn Turbogears as well as a
playground where I can develop freely, without boring documentation 
and deadlines etc. Everybody knows that succesful development is all
about testing, even more so when dynamic languages are being employed;
I must confess I have been lax in this point. And the project will
cease to be nice to work with if unexpected errors begin to flourish.

<p>
So the 0.5 version may take a bit more than expected to be released;
maybe I will make a 0.45 release with those errors corrected. The effort
will likely pay off, as other well-thought efforts like the log+ACL
mechanism that IMHO is now very nice but had to be refactored twice
to get there.

<? footer("/", "en"); ?>

