// the first control must be the ID, which is hidden
var controls = ["id", "chart", "xclass", "stdjournal", "code", "parent", "description", "smalldesc", "mobile", "inactive"];
var inplace = ["code", "description"];
var comm_error = "Could not communicate from server. Try again in a few moments.";
var new_row_legend = "New account";
var edit_legend = "Editing account ";
var remove_dialog = "Do you really want to delete the account?";
var fetch_remote_error = "Could not get chart from server";
var mother_field = "chart";  

function ajax_mobile_gotdata(rres)
{
	var mobmsg = "off";
	ajax_pending = false;

	if (rres.err != "") {
		alert(fetch_remote_error);
		return;
	}

	if (rres.mobile != 0) {
		mobmsg = "on";
	}

	setElementClass("mob"+parseInt(rres.id), mobmsg);
}

function ajax_inactive_gotdata(rres)
{
	var inamsg = "off";
	ajax_pending = false;

	if (rres.err != "") {
		alert(fetch_remote_error);
		return;
	}

	if (rres.inactive != 0) {
		inamsg = "on";
	}

	setElementClass("ina"+parseInt(rres.id), inamsg);
}

function ajax_inactive(mother,id)
{
	if (ajax_pending) {
		return;
	}

	var jkeys = ["mother","id"];
	var jvalues = [mother,id];
	var addr = "inactive?" + queryString(jkeys, jvalues);

	var ajax = loadJSONDoc(addr);
	ajax.addCallbacks(ajax_inactive_gotdata, ajax_error);

	ajax_pending = true;
}

function ajax_mobile(mother,id)
{
	if (ajax_pending) {
		return;
	}

	var jkeys = ["mother","id"];
	var jvalues = [mother,id];
	var addr = "mobile?" + queryString(jkeys, jvalues);

	var ajax = loadJSONDoc(addr);
	ajax.addCallbacks(ajax_mobile_gotdata, ajax_error);

	ajax_pending = true;
}

function remove_level(s)
{
	n = s.lastIndexOf(document.f.mask_separator.value);
	if (n < 0) {
		return "";
	}
	return s.substr(0, n);
}

/*
function ajax_edit_gotdata_extend(rres)
{
	// document.f.mask.value = rres["mask"];
}
*/

function ajax_field_changed(event)
{
	var target = event.target();
	if (target === document.f.code && parseInt(document.f.id.value) <= 0) {
		if (parseInt(document.f.id.value) <= 0) {
			document.f.parent.value = remove_level(document.f.code.value);
		}
	}
}

function ajax_new_override()
{
	if (parseInt(document.f.chart.value) > 0) {
		ajax_new(-1);
	}
}

function ajax_collapse(id, code)
{
	if (hasElementClass(id, "collapsed")) {
		collapse_children(id, 0);
	} else {
		collapse_children(id, 1);
	}
}

function ajax_uncollapse_all()
{
	var a = getElementsByTagAndClassName("tr", "invisible", "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		removeElementClass(el, "invisible");
	}
	a = getElementsByTagAndClassName("tr", "collapsed", "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		removeElementClass(el, "collapsed");
	}
}

function collapse_children(el, action)
{
	if (action) {
		addElementClass(el, "collapsed");
	} else {
		removeElementClass(el, "collapsed");
	}

	// children accounts belong to a class that is the encoded parent's code
	// e.g. account 1.1.1 parent 1.1 belongs to class par1_1

	var my_code = getNodeAttribute(el, "code_class");
	var a = getElementsByTagAndClassName("tr", my_code, "tabledata"); 

	for(var i = 0, el; el = a[i]; ++i) {
		var is_leaf = parseInt(getNodeAttribute(el, "leaf"));
		if (action) {
			addElementClass(el, "invisible");
			if (! is_leaf) {
				collapse_children(el, 1);
			}
		} else {
			removeElementClass(el, "invisible");
		}
	}
}

/*
function ajax_uncollapse_all()
{
	var a = getElementsByTagAndClassName("tr", null, "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		removeElementClass(el, "invisible");
		removeElementClass(el, "collapsed");
	}
}

function collapse_children(el, action, account_parent)
{
	if (action) {
		addElementClass(el, "collapsed");
	} else {
		removeElementClass(el, "collapsed");
	}
	var a = getElementsByTagAndClassName("tr", null, "tabledata");
	for(var i = 0, el; el = a[i]; ++i) {
		var my_parent = getNodeAttribute(el, "parent");
		var my_code = getNodeAttribute(el, "code");
		var is_leaf = parseInt(getNodeAttribute(el, "leaf"));
		if (my_parent && my_parent == account_parent) {
			if (action) {
				addElementClass(el, "invisible");
				if (! is_leaf) {
					collapse_children(el, 1, my_code);
				}
			} else {
				removeElementClass(el, "invisible");
			}
		}
	}
}
*/
