<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>${title}</title>
  </head>
  <body>
    <h3>${title}</h3>
    <div class='motherdata' id='motherdata'>
      <form name='mother' method='get'>
		Parent chart being edited: 
		<select name='mother' value='0'><option selected="${mother['id'] == chart and 'x' or None}" py:for='mother in mothers' value="${mother['id']}"><span py:content="mother['description']">Chart name</span>
          </option>
        </select>
        <button type='submit'>Choose this chart</button>
      </form>
    </div>
    <div py:if='chart > 0'>
      <a href='lite_edit?id=0&amp;mother=${chart}'>Add new account</a>
    </div>
    <div py:contents='softerr' class='errmsg2' py:if='softerr'>
    </div>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>Code</th>
            <th>Description</th>
            <th/>
            <th/>
            <th/>
            <th/>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${row['css_class']}">
            <td>
              <span py:content="row['code']">X</span>
            </td>
            <td>
              <span py:content="row['description']">X</span>
            </td>
            <td>
              <span id="${'mob'+str(row['id'])}" py:content="row['mobile'] and 'Mobile' or ''">Mobile?</span>
            </td>
            <td>
              <span id="${'ina'+str(row['id'])}" py:content="row['inactive'] and 'Inactive' or ''">Inactive?</span>
            </td>
            <td>
              <span py:content="row['err']">X</span>
            </td>
            <td>
              <a href="lite_edit?mother=${chart}&amp;id=${row['id']}" class='edit'>Edit</a>
            </td>
            <td>
              <a href="lite_remove?mother=${chart}&amp;id=${row['id']}" class='edit'>Remove</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </body>
</html>
