<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Accounts of the chart: edit form</title>
  </head>
  <body>
    <h3 py:content='Heading'>Accounts of the chart - edit form</h3>
    <div class='shown' id='formdiv'>
      <form action='lite_commit' name='f' method='post'>
        <fieldset>
          <div id='errmsg' py:content='err'>Error Message</div>
          <table>
            <tr>
              <td>Class</td>
              <td>
                <select name='xclass' value='0'>
                  <option selected="${item['id'] == xclass and 'x' or None}" py:for='item in xclasses' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
			Automatic = copy class from parent
		</td>
            </tr>
            <tr>
              <td>Std. journal</td>
              <td>
                <input maxlength='6' type='text' name='stdjournal' value='${stdjournal}' size='6'/>
		(1 = no default standard journal)
		</td>
            </tr>
            <tr>
              <td>Code</td>
              <td>
                <input maxlength='20' type='text' name='code' value='${code}' size='20'/>
		  Mask: <span py:content='mask'>9.99.9999</span>
              </td>
            </tr>
            <tr>
              <td>Parent account</td>
              <td>
                <input maxlength='20' type='text' name='parent' value='${parent}' size='20'/>
		 (toplevels have no parent)
		</td>
            </tr>
            <tr>
              <td>Description</td>
              <td>
                <input maxlength='40' type='text' name='description' value='${description}' size='40'/>
              </td>
            </tr>
            <tr>
              <td>Small description</td>
              <td>
                <input maxlength='20' type='text' name='smalldesc' value='${smalldesc}' size='20'/>
		 (for mobile clients)
		</td>
            </tr>
            <tr>
              <td>Mobile clients</td>
              <td>
                <select name='mobile' value='0'>
                  <option selected="${item['id'] == mobile and 'x' or None}" py:for='item in mobiles' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Activity</td>
              <td>
                <select name='inactive' value='0'>
                  <option selected="${item['id'] == inactive and 'x' or None}" py:for='item in inactives' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value='${id}'/>
          <input type='hidden' name='chart' value='${chart}'/>
          <input type='hidden' name='mask' value='${mask}'/>
          <input type='hidden' name='mask_separator' value='${mask_separator}'/>
          <button type='submit'>Submit</button>
        </fieldset>
      </form>
    </div>
    <a href='lite?mother=${chart}' class='edit'>Back to accounts list</a>
    <div/>
  </body>
</html>
