<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?python
import sitetemplate
from luca.model import session
?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#" py:extends="sitetemplate">

<head py:match="item.tag=='{http://www.w3.org/1999/xhtml}head'" py:attrs="item.items()">

    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title py:replace="''">Luca Accounting</title>
    <link rel="STYLESHEET" href="/static/css/luca.css" type="text/css"></link>
    <link rel="STYLESHEET" href="/static/css/report.css" type="text/css" media="print"></link>
    <meta py:replace="item[:]"/>
</head>

<body py:match="item.tag=='{http://www.w3.org/1999/xhtml}body'" py:attrs="item.items()">

<div id="header">
    <div py:if="tg.config('identity.on',False) and not 'logging_in' in locals()" id="pageLogin">
        <span py:if="not tg.identity.anonymous" style="float: right">
            <a href="/logout">Logout</a>
        </span>
        <span py:if="not tg.identity.anonymous">
            Welcome ${tg.identity.user.display_name}
        </span>
        <span py:if="tg.identity.anonymous">
            <a href="/login">Login</a>
        </span>
	|
	<span py:if="not tg.identity.anonymous and not (session()['lite'])">
		<a href="/menu">Main Menu</a>
		<a href="/menu_lite">(Lite version)</a>
	</span>
	<span py:if="not tg.identity.anonymous and not not (session()['lite'])">
		<a href="/menu_lite">Main Menu</a>
		<a href="/menu">(AJAX version)</a>
	</span>
	|
	<span py:if="not tg.identity.anonymous">
		<a href="/fincalc">Calculator</a>
	</span>
	<span py:if="not tg.identity.anonymous">
		<a href="/fincalc" target="_blank">(in new window)</a>
	</span>
   </div>
</div>

<div id="body" class="body">

    <div py:if="tg_flash" class="${tg_flash_class}" py:content="tg_flash"></div>

    <div py:replace="[item.text]+item[:]"/>

    <div class="clearer"></div>

</div>

<div id="footer">
    <a href="http://www.epx.com.br/luca/">Luca Homepage</a> -
	<span>Copyright &copy; 2006 Elvis Pf&uuml;tzenreuter. All rights reserved.</span>
</div>

</body>

</html>
