<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>${title}</title>
  </head>
  <body>
    <h3>${title}</h3>
    <div class='shown' id='formdiv'>
      <form name='f' method='get'>
        <fieldset>
          <legend id='legend'>Report options</legend>
          <table>
            <tr>
              <td>Organization</td>
              <td>
                <select name='org' value='0'>
                  <option selected="${x['id'] == org and '1' or None}" py:for='x in orgs' value="${x['id']}">
                    <span py:content="x['name']">Name</span>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Period</td>
              <td>
                <input maxlength='12' type='text' name='date1' value='${date1}' size='12'/>
		to 
		<input maxlength='12' type='text' name='date2' value='${date2}' size='12'/>
              </td>
            </tr>
          </table>
          <input type='hidden' name='submitted' value='1'/>
          <button type='submit' name='submit'>Run report</button>
        </fieldset>
      </form>
    </div>
    <div>
    </div>
    <div py:if='rows' id='tabledata' class='tabledata'>
      <table>
        <thead>
          <tr>
            <th>Batch/ID</th>
            <th>Date</th>
            <th>Account</th>
            <th>Journal description</th>
            <th class='number'>Debit</th>
            <th class='number'>Credit</th>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}">
            <td class='journalcode'>
              <a href="${tg.url(lite and '/journals_lite' or '/journals', grandmother=org, mother=row['batch'])}">
                <span py:content="row['batch']"/>
                <span py:content="row['id']"/>
              </a>
            </td>
            <td>
              <span py:content="row['date']"/>
            </td>
            <td>
              <a href="${tg.url('/report_ledger', **row['ledger_params'])}">
			${row['code']}
		</a>
              <span py:content="row['account_description']"/>
            </td>
            <td>
              <span py:content="row['description']"/>
            </td>
            <td class='number'>
              <span py:if="row['db']" py:content="row['db']"/>
            </td>
            <td class='number'>
              <span py:if="row['cr']" py:content="row['cr']"/>
            </td>
          </tr>
        </tbody>
        <tfoot>
          <tr py:if='rows' class='checktotal'>
            <td>
		Balance
	    </td>
            <td/>
            <td/>
            <td/>
            <td class='number'>
              <span py:content='dbsum'>
              </span>
            </td>
            <td class='number'>
              <span py:content='crsum'>
              </span>
            </td>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class='timestamp' py:content='timestamp' py:if='rows'/>
  </body>
</html>
