<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>System users: edit form</title>
  </head>
  <body>
    <h3 py:content='Heading'>System Users - edit form</h3>
    <div class='shown' id='formdiv'>
      <form action='lite_commit' name='f' method='post'>
        <fieldset>
          <div id='errmsg' py:content='err'>Error Message</div>
          <table>
            <tr>
              <td>Nickname</td>
              <td>
                <input maxlength='16' type='text' name='user_name' value='${user_name}' size='16'/>
              </td>
            </tr>
            <tr>
              <td>User name</td>
              <td>
                <input maxlength='40' type='text' name='display_name' value='${display_name}' size='30'/>
              </td>
            </tr>
            <tr>
              <td>E-mail</td>
              <td>
                <input maxlength='250' type='text' name='email_address' value='${email_address}' size='40'/>
              </td>
            </tr>
            <tr>
              <td>Password</td>
              <td>
                <input maxlength='16' type='text' name='password' value='${password}' size='16'/> (fill only if you want to change)</td>
            </tr>
            <tr>
              <td>Thousand separator</td>
              <td>
                <select name='thousand_separator'>
                  <option selected="${item['id'] == thousand_separator and 'x' or None}" py:for='item in thousand_separators' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Decimal separator</td>
              <td>
                <select name='decimal_separator'>
                  <option selected="${item['id'] == decimal_separator and 'x' or None}" py:for='item in decimal_separators' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Date format</td>
              <td>
                <select name='date_format'>
                  <option selected="${item['id'] == date_format and 'x' or None}" py:for='item in date_formats' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
            <tr>
              <td>AJAX capabilities</td>
              <td>
                <select name='lite'>
                  <option selected="${item['id'] == lite and 'x' or None}" py:for='item in lite_options' value="${item['id']}">
                    <span py:content="item['description']"/>
                  </option>
                </select>
              </td>
            </tr>
          </table>
          <input type='hidden' name='id' value='${id}'/>
          <button type='submit'>Submit</button>
        </fieldset>
      </form>
    </div>
    <a href='lite' class='edit'>Back to user list</a>
    <div/>
  </body>
</html>
